# Class Video#getVideoStatus

Video

- Defined in: video.js

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Video#getVideoStatus(successCallback, errorCallback) Gets video position and size.

## Class Detail

Video#getVideoStatus(successCallback, errorCallback)
Gets video position and size.

    // Javascript code
    function getVideoStatus () {
      function successCb(cbObject) {
         console.log("cbObject : " + JSON.stringify(cbObject.source));

         console.log("source.x : " + cbObject.source.x);
         console.log("source.y : " + cbObject.source.y);
         console.log("source.width : " + cbObject.source.width);
         console.log("source.height : " + cbObject.source.height);

         // Do something
            ...
      }

      function failureCb(cbObject) {
         var errorCode = cbObject.errorCode;
         var errorText = cbObject.errorText;
         console.log ("Error Code [" + errorCode + "]: " + errorText);
      }

      var video = new Video();
      video.getVideoStatus(successCb, failureCb);
    }

Parameters:
{Function} successCallback
  success callback function.
{Function} errorCallback
  failure callback function.

Since:
  1.0
Returns:
  {Object}

  Property | Type | Description
  --- | --- | ---
  source | Object | source rectangle of video.
  source.x | Number | The x coordinate of the upper-left corner of the rectangle.
  source.y | Number | The y coordinate of the upper-left corner of the rectangle.
  source.width | Number | The width of the rectangle.
  source.height | Number | The height of the rectangle.

See:
  Video.setVideoSize()